curl --request POST \
--url https://api.siftstack.com/api/v2/calculated-channels/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": {
"id": "<string>",
"clientKey": "<string>"
},
"organizationId": "<string>",
"assets": {},
"run": {
"id": "<string>",
"clientKey": "<string>"
}
}
'{
"resolved": [
{
"assetName": "<string>",
"expressionRequest": {
"expression": "<string>",
"channelReferences": {},
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelId": "<string>"
}
],
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
]
},
"outputDataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"assetId": "<string>"
}
],
"unresolved": [
{
"assetName": "<string>",
"errorMessage": "<string>"
}
],
"calculatedChannelId": "<string>"
}Resolve a calculated channel into an expression with references
curl --request POST \
--url https://api.siftstack.com/api/v2/calculated-channels/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": {
"id": "<string>",
"clientKey": "<string>"
},
"organizationId": "<string>",
"assets": {},
"run": {
"id": "<string>",
"clientKey": "<string>"
}
}
'{
"resolved": [
{
"assetName": "<string>",
"expressionRequest": {
"expression": "<string>",
"channelReferences": {},
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelId": "<string>"
}
],
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
]
},
"outputDataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"assetId": "<string>"
}
],
"unresolved": [
{
"assetName": "<string>",
"errorMessage": "<string>"
}
],
"calculatedChannelId": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The request for a call to CalculatedChannelService_ResolveCalculatedChannel to get the all possible calculated channels.
organization_id argument is only required if using client_key and the user belongs to multiple organizations.The request for a call to CalculatedChannelService_ResolveCalculatedChannel to get the all possible calculated channels.
organization_id argument is only required if using client_key and the user belongs to multiple organizations.A successful response.
The response of a call to CalculatedChannelService_ResolveCalculatedChannel.
Was this page helpful?